XTFTP(8)

NAME
xtftp - FTP protocol server driver

SYNOPSIS
xtftp -h hostname [ -p port ] [ -d ] [ -u username ] [ -w password ] [ -o outfile ] [ -i infile ] [ -D directory ] [ -T timeout ] [ -A host ] [ -T ] [ -B ]

DESCRIPTION
xtftp is a terminal server program for use by GNUspool where the destination is a server which accepts FTP protocol. Data is taken from standard input, unless overridden by the -i option.

OPTIONS

-h hostname
    This is the host name or IP address to be used to access the printer. In GNUspool setup files, it may be appropriate to substitute $SPOOLDEV or $SPOOLPTR here.

-A hostname
    Specifies the sending hostname or IP address to be as given. This may be required when sending from hosts with multiple IP addresses.

-p port number
    This is the port number to be used, if not ftp.

-u user
    This is the user name to be quoted to the FTP server.

-w word
    This is the password to be quoted to the FTP server.

-o outfile
    This is the output file to be stored at the server end. In some cases this may designate the actual printer, and it may be useful to use $SPOOLDEV as the argument to be expanded in GNUspool setup files.

-D directory
    This is the output file to be stored in at the server end, if not the "home directory". In some cases this may designate tha actual printer, and it may be useful to use $SPOOLDEV as the argument to be expanded in GNUspool setup files.

-T timeout
    This gives the timeout in milliseconds to await for responses from the server.

-i input
    Specify input file if not standard input.

-t  Specify text mode.

-b  Specify binary mode.

-d  Debug. Displays activities on standard error. Increasing information is given if more than one -d option is specified.

DIAGNOSTICS
xtftp generates any appropriate diagnostics on standard error.

EXIT CODES
Normal termination is denoted by an exit code of zero.

1   Usage error, invalid option etc.

2   No host name or ip address given.

3   Cannot open input file.

4   Expecting password as well as user name.

5   Incorrect password.

6   Transmit failure - file rejected.

18  Data accept failed.

41  Cannot create/bind control socket.

42  Cannot connect control socket.

44  Cannot create data socket.

45  Cannot bind data socket.

46  Cannot listen data socket.

47  Cannot get socket name data socket.

50  Unknown service name

51  Invalid IP address

52  Invalid host name

60  Socket write error.

61  Socket read error.

62  No response code from server.

71  Port or store command failed.

100 Generated command too long (excessive length file name etc).

200 Aborted with a signal.

SEE ALSO
xilp(8), xtelnet(8), xtlpc(8), xtlhp(8).

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.